<!doctype html>
<html lang="{{ app.request.locale == 'pt' ? 'pt-BR' : 'en-US' }}">
	<head>
		{{ include('_meta.html.twig') }}
		{{ include('_styles.html.twig') }}
		{{ include('_scripts.html.twig') }}
		<script type="module" src="{{ asset('/js/portfolio.js') }}"></script>
		<title>{{ 'page.title'|trans }}</title>
	</head>
	<body class="portfolio-background container">
		<div class="portfolio-container mx-auto bg-blackhole text-white my-4 p-3">
			<nav class="mb-3" aria-label="{{ 'language.selector'|trans }}">
				{% if app.request.locale == 'en' %}
				<a href="{{ path('portfolio_main_page', {_locale: 'pt'}) }}"
					class="link-secondary text-decoration-none"
					lang="pt-BR"
					hreflang="pt-BR"
					title="Português">
					<i class="fa-solid fa-language" aria-hidden="true"></i>
					<i class="fa-solid fa-arrow-right" aria-hidden="true"></i>
					<span aria-label="Português">PT</span>
				</a>
				{% elseif app.request.locale == 'pt' %}
				<a href="{{ path('portfolio_main_page', {_locale: 'en'}) }}"
					class="link-secondary text-decoration-none"
					lang="en-US"
					hreflang="en-US"
					title="English">
					<i class="fa-solid fa-language" aria-hidden="true"></i>
					<i class="fa-solid fa-arrow-right" aria-hidden="true"></i>
					<span aria-label="English">EN</span>
				</a>
				{% endif %}
			</nav>
			<div class="text-center mb-3">
				<h1 class="font-monospace">harp1a</h1>
				<div class="d-inline-block bg-terminal px-2">
					<span id="webDeveloperTitle" class="font-monospace">{{ 'web.developer'|trans }}</span>
					<span class="portfolio-blinking-cursor" aria-hidden="true"></span>
				</div>
			</div>
			<nav class="d-flex justify-content-center" aria-label="{{ 'nav.links'|trans }}">
				<div class="me-3" role="presentation">
					<a href="mailto:douglas-h-silva@proton.me" class="portfolio-button"
						aria-label="{{ 'send.email'|trans }}" title="{{ 'send.email'|trans }}">
						<i class="fa-solid fa-envelope fa-2x" aria-hidden="true"></i>
					</a>
				</div>
				<div class="me-3" role="presentation">
					<a href="{{ asset('/keys/dougsilva.asc') }}" class="portfolio-button"
						aria-label="{{ 'get.publickey'|trans }}" title="{{ 'get.publickey'|trans }}">
						<i class="fa-solid fa-fingerprint fa-2x" aria-hidden="true"></i>
					</a>
				</div>
				<div class="me-3" role="presentation">
					<a href="https://github.com/o-alquimista" class="portfolio-button" rel="external"
						aria-label="{{ 'go.github'|trans }}" title="{{ 'go.github'|trans }}">
						<i class="fa-brands fa-github fa-2x" aria-hidden="true"></i>
					</a>
				</div>
				<div role="presentation">
					<a href="https://gitlab.com/crimson.king" class="portfolio-button" rel="external"
						aria-label="{{ 'go.gitlab'|trans }}" title="{{ 'go.gitlab'|trans }}">
						<i class="fa-brands fa-gitlab fa-2x" aria-hidden="true"></i>
					</a>
				</div>
			</nav>
		</div>
		<div class="portfolio-container mx-auto bg-onion my-4 p-3">
			<div class="d-flex mb-2">
				<div class="me-3">
					<svg width="55px" height="55px" version="1.1" viewBox="0 0 32 32" xmlns="http://www.w3.org/2000/svg"
						aria-label="{{ 'tor.icon'|trans }}" style="fill: #f8f9fa">
						<g transform="translate(-58.12 -303.3)">
							<path d="m77.15 303.3c-1.608 1.868-0.09027 2.972-0.9891 4.84 1.514-2.129 5.034-2.862 7.328-3.643-3.051 2.72-5.457 6.326-8.489 9.009l-1.975-0.8374c-0.4647-4.514-1.736-4.705 4.125-9.369z" fill-rule="evenodd"/>
							<path d="m74.04 313.1 2.932 0.9454c-0.615 2.034 0.3559 2.791 0.9472 3.123 1.324 0.7332 2.602 1.49 3.619 2.412 1.916 1.75 3.004 4.21 3.004 6.812 0 2.578-1.183 5.061-3.169 6.717-1.868 1.561-4.446 2.223-6.953 2.223-1.561 0-2.956-0.0708-4.47-0.5677-3.453-1.159-6.031-4.115-6.244-7.663-0.1893-2.767 0.4257-4.872 2.578-7.072 1.111-1.159 2.563-2.749 4.1-3.813 0.757-0.5204 1.119-1.191-0.4183-3.958l1.28-1.076 2.795 1.918-2.352-0.3007c0.1656 0.2366 1.189 0.7706 1.284 1.078 0.2128 0.8751-0.1911 1.771-0.3804 2.149-0.9696 1.75-1.86 2.275-3.066 3.268-2.129 1.75-4.27 2.836-4.01 7.637 0.1183 2.365 1.433 5.295 4.2 6.643 1.561 0.757 2.859 1.189 4.68 1.284 1.632 0.071 4.754-0.8988 6.457-2.318 1.821-1.514 2.838-3.808 2.838-6.149 0-2.365-0.9461-4.612-2.72-6.197-1.017-0.9223-2.696-2.034-3.737-2.625-1.041-0.5912-2.782-2.06-2.356-3.645z"/>
							<path d="m73.41 316.6c-0.186 1.088-0.4177 3.117-0.8909 3.917-0.3293 0.5488-0.4126 0.8101-0.7846 1.094-1.09 1.535-1.45 1.761-2.132 4.552-0.1447 0.5914-0.3832 1.516-0.2591 2.107 0.372 1.703 0.6612 2.874 1.316 4.103 0 0 0.1271 0.1217 0.1271 0.169 0.6821 0.9225 0.6264 1.05 2.665 2.246l-0.06204 0.3313c-1.55-0.4729-2.604-0.9591-3.41-2.024 0-0.0236-0.1513-0.1558-0.1513-0.1558-0.868-1.135-1.753-2.788-2.021-4.546-0.1447-0.7097-0.0769-1.341 0.08833-2.075 0.7026-2.885 1.415-4.093 2.744-5.543 0.3514-0.2601 0.6704-0.6741 1.001-1.092 0.4859-0.6764 1.462-2.841 1.814-4.189z"/>
							<path d="m74.09 318.6c0.0237 1.04 0.0078 3.036 0.3389 3.796 0.0945 0.2599 0.3274 1.414 0.9422 2.794 0.4258 0.96 0.5418 1.933 0.6128 2.193 0.2838 1.14-0.4002 3.086-0.8734 4.906-0.2364 0.98-0.6051 1.773-1.371 2.412l0.2796 0.3593c0.5204-0.02 1.954-1.096 2.403-2.416 0.757-2.24 1.328-3.317 0.9729-5.797-0.0473-0.2402-0.2094-1.134-0.6588-2.014-0.6622-1.34-1.474-2.614-1.592-2.874-0.213-0.4198-1.007-2.119-1.054-3.359z"/>
							<path d="m74.88 313.9 0.9727 0.4962c-0.09145 0.6403 0.04572 2.059 0.686 2.424 2.836 1.761 5.512 3.683 6.565 5.604 3.751 6.771-2.63 13.04-8.143 12.44 2.996-2.219 4.428-6.583 3.307-11.55-0.4574-1.944-1.729-3.893-2.987-5.883-0.545-0.9768-0.3547-2.188-0.4006-3.538z" fill-rule="evenodd"/>
							<rect x="73.07" y="312.8" width="1" height="22"/>
						</g>
					</svg>
				</div>
				<div>
					<p class="text-white">{{ 'tor.volunteer'|trans }}</p>
				</div>
			</div>
			<div class="text-end">
				<a href="https://metrics.torproject.org/rs.html#details/3FA93D41E9A7C4C47B77C0D7F617999B6D5D0B62"
					class="btn btn-light" rel="external">
                    {{ 'go.metrics'|trans }}
				</a>
			</div>
		</div>
		<footer class="portfolio-container mx-auto bg-blackhole my-4 p-3">
			<address class="text-white text-center">
				<span class="small">Douglas Silva</span>
				<br>
				<span>douglas-h-silva@proton.me</span>
			</address>
			<div class="text-center">
				<small class="text-muted">
                    {{ 'background.image'|trans }}:
					<a href="https://commons.wikimedia.org/wiki/File:Gnu_wallpaper.png"
						class="text-reset" rel="external">
						B-lenos
					</a>
					-
					<a href="https://creativecommons.org/licenses/by-sa/4.0"
						class="text-reset" rel="external">
						CC BY-SA
					</a>
				</small>
			</div>
		</footer>
	</body>
</html>
